## linux 6.18.12

=== drivers/pinctrl/qcom/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Qualcomm pin control drivers
obj-$(CONFIG_PINCTRL_MSM)	+= pinctrl-msm.o
obj-$(CONFIG_PINCTRL_APQ8064)	+= pinctrl-apq8064.o
obj-$(CONFIG_PINCTRL_APQ8084)	+= pinctrl-apq8084.o
obj-$(CONFIG_PINCTRL_GLYMUR)	+= pinctrl-glymur.o
obj-$(CONFIG_PINCTRL_IPQ4019)	+= pinctrl-ipq4019.o
obj-$(CONFIG_PINCTRL_IPQ5018)	+= pinctrl-ipq5018.o
obj-$(CONFIG_PINCTRL_IPQ8064)	+= pinctrl-ipq8064.o
obj-$(CONFIG_PINCTRL_IPQ5332)	+= pinctrl-ipq5332.o
obj-$(CONFIG_PINCTRL_IPQ5424)	+= pinctrl-ipq5424.o
obj-$(CONFIG_PINCTRL_IPQ8074)	+= pinctrl-ipq8074.o
obj-$(CONFIG_PINCTRL_IPQ6018)	+= pinctrl-ipq6018.o
obj-$(CONFIG_PINCTRL_IPQ9574)	+= pinctrl-ipq9574.o
obj-$(CONFIG_PINCTRL_MSM8226)	+= pinctrl-msm8226.o
obj-$(CONFIG_PINCTRL_MSM8660)	+= pinctrl-msm8660.o
obj-$(CONFIG_PINCTRL_MSM8960)	+= pinctrl-msm8960.o
obj-$(CONFIG_PINCTRL_MSM8X74)	+= pinctrl-msm8x74.o
obj-$(CONFIG_PINCTRL_MSM8909)	+= pinctrl-msm8909.o
obj-$(CONFIG_PINCTRL_MSM8916)	+= pinctrl-msm8916.o
obj-$(CONFIG_PINCTRL_MSM8917)	+= pinctrl-msm8917.o
obj-$(CONFIG_PINCTRL_MSM8953)	+= pinctrl-msm8953.o
obj-$(CONFIG_PINCTRL_MSM8976)	+= pinctrl-msm8976.o
obj-$(CONFIG_PINCTRL_MSM8994)   += pinctrl-msm8994.o
obj-$(CONFIG_PINCTRL_MSM8996)   += pinctrl-msm8996.o
obj-$(CONFIG_PINCTRL_MSM8998)   += pinctrl-msm8998.o
obj-$(CONFIG_PINCTRL_QCM2290)	+= pinctrl-qcm2290.o
obj-$(CONFIG_PINCTRL_QCS404)	+= pinctrl-qcs404.o
obj-$(CONFIG_PINCTRL_QCS615)    += pinctrl-qcs615.o
obj-$(CONFIG_PINCTRL_QCS8300)	+= pinctrl-qcs8300.o
obj-$(CONFIG_PINCTRL_QDF2XXX)	+= pinctrl-qdf2xxx.o
obj-$(CONFIG_PINCTRL_MDM9607)	+= pinctrl-mdm9607.o
obj-$(CONFIG_PINCTRL_MDM9615)	+= pinctrl-mdm9615.o
obj-$(CONFIG_PINCTRL_MILOS) += pinctrl-milos.o
obj-$(CONFIG_PINCTRL_QCOM_SPMI_PMIC) += pinctrl-spmi-gpio.o
obj-$(CONFIG_PINCTRL_QCOM_SPMI_PMIC) += pinctrl-spmi-mpp.o
obj-$(CONFIG_PINCTRL_QCOM_SSBI_PMIC) += pinctrl-ssbi-gpio.o
obj-$(CONFIG_PINCTRL_QCOM_SSBI_PMIC) += pinctrl-ssbi-mpp.o
obj-$(CONFIG_PINCTRL_QDU1000)	+= pinctrl-qdu1000.o
obj-$(CONFIG_PINCTRL_SA8775P)	+= pinctrl-sa8775p.o
obj-$(CONFIG_PINCTRL_SAR2130P)	+= pinctrl-sar2130p.o
obj-$(CONFIG_PINCTRL_SC7180)	+= pinctrl-sc7180.o
obj-$(CONFIG_PINCTRL_SC7280)	+= pinctrl-sc7280.o
obj-$(CONFIG_PINCTRL_SC7280_LPASS_LPI) += pinctrl-sc7280-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SC8180X)	+= pinctrl-sc8180x.o
obj-$(CONFIG_PINCTRL_SC8280XP)	+= pinctrl-sc8280xp.o
obj-$(CONFIG_PINCTRL_SDM660)   += pinctrl-sdm660.o
obj-$(CONFIG_PINCTRL_SDM660_LPASS_LPI) += pinctrl-sdm660-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SDM670) += pinctrl-sdm670.o
obj-$(CONFIG_PINCTRL_SDM845) += pinctrl-sdm845.o
obj-$(CONFIG_PINCTRL_SDX55) += pinctrl-sdx55.o
obj-$(CONFIG_PINCTRL_SDX65) += pinctrl-sdx65.o
obj-$(CONFIG_PINCTRL_SDX75) += pinctrl-sdx75.o
obj-$(CONFIG_PINCTRL_SM4250_LPASS_LPI) += pinctrl-sm4250-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM4450) += pinctrl-sm4450.o
obj-$(CONFIG_PINCTRL_SM6115) += pinctrl-sm6115.o
obj-$(CONFIG_PINCTRL_SM6115_LPASS_LPI) += pinctrl-sm6115-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM6125) += pinctrl-sm6125.o
obj-$(CONFIG_PINCTRL_SM6350) += pinctrl-sm6350.o
obj-$(CONFIG_PINCTRL_SM6375) += pinctrl-sm6375.o
obj-$(CONFIG_PINCTRL_SM7150) += pinctrl-sm7150.o
obj-$(CONFIG_PINCTRL_SM8150) += pinctrl-sm8150.o
obj-$(CONFIG_PINCTRL_SM8250) += pinctrl-sm8250.o
obj-$(CONFIG_PINCTRL_SM8250_LPASS_LPI) += pinctrl-sm8250-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8350) += pinctrl-sm8350.o
obj-$(CONFIG_PINCTRL_SM8450) += pinctrl-sm8450.o
obj-$(CONFIG_PINCTRL_SM8450_LPASS_LPI) += pinctrl-sm8450-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8550) += pinctrl-sm8550.o
obj-$(CONFIG_PINCTRL_SM8550_LPASS_LPI) += pinctrl-sm8550-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8650) += pinctrl-sm8650.o
obj-$(CONFIG_PINCTRL_SM8650_LPASS_LPI) += pinctrl-sm8650-lpass-lpi.o
obj-$(CONFIG_PINCTRL_SM8750) += pinctrl-sm8750.o
obj-$(CONFIG_PINCTRL_SC8280XP_LPASS_LPI) += pinctrl-sc8280xp-lpass-lpi.o
obj-$(CONFIG_PINCTRL_LPASS_LPI) += pinctrl-lpass-lpi.o
obj-$(CONFIG_PINCTRL_X1E80100)	+= pinctrl-x1e80100.o
obj-$(CONFIG_PINCTRL_TLMM_TEST) += tlmm-test.o

=== debian/changelog ===
linux (6.18.12-1~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/config/defines.toml:
    - use gcc-14.
  * d/config/config: switch kernel frequency to 1000 Hz.
  * d/bin/gencontrol.py: don't build metapackages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Feb 2026 12:04:20 -0800

linux (6.18.12-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.11
    - io_uring/io-wq: add exit-on-idle state
    - io_uring: allow io-wq workers to exit when unused
    - smb: client: split cached_fid bitfields to avoid shared-byte RMW races
    - ksmbd: fix infinite loop caused by next_smb2_rcv_hdr_off reset in error
      paths
    - ksmbd: add chann_lock to protect ksmbd_chann_list xarray
    - smb: server: fix leak of active_num_conn in ksmbd_tcp_new_connection()
    - smb: smbdirect: introduce smbdirect_socket.recv_io.credits.available
    - smb: smbdirect: introduce smbdirect_socket.send_io.bcredits.*
    - smb: server: make use of smbdirect_socket.recv_io.credits.available
    - smb: server: let recv_done() queue a refill when the peer is low on
      credits
    - smb: server: make use of smbdirect_socket.send_io.bcredits
    - smb: server: fix last send credit problem causing disconnects
    - smb: server: let send_done handle a completion without IB_SEND_SIGNALED
    - smb: client: make use of smbdirect_socket.recv_io.credits.available
    - smb: client: let recv_done() queue a refill when the peer is low on
      credits
    - smb: client: let smbd_post_send() make use of request->wr
    - smb: client: remove pointless sc->recv_io.credits.count rollback
    - smb: client: remove pointless sc->send_io.pending handling in
      smbd_post_send_iter()
    - smb: client: port and use the wait_for_credits logic used by server
    - smb: client: split out smbd_ib_post_send()
    - smb: client: introduce and use smbd_{alloc, free}_send_io()
    - smb: client: use smbdirect_send_batch processing
    - smb: client: make use of smbdirect_socket.send_io.bcredits
    - smb: client: fix last send credit problem causing disconnects
    - smb: client: let smbd_post_send_negotiate_req() use smbd_post_send()
    - smb: client: let send_done handle a completion without IB_SEND_SIGNALED
    - driver core: enforce device_lock for driver_match_device()
    - Bluetooth: btusb: Add USB ID 7392:e611 for Edimax EW-7611UXB
    - ALSA: hda/conexant: Add quirk for HP ZBook Studio G4
    - [amd64] crypto: iaa - Fix out-of-bounds index in
      find_empty_iaa_compression_mode
    - [armhf] crypto: omap - Allocate OMAP_CRYPTO_FORCE_COPY scatterlists
      correctly
    - crypto: virtio - Add spinlock protection with virtqueue notification
    - crypto: virtio - Remove duplicated virtqueue_kick in
      virtio_crypto_skcipher_crypt_req
    - nilfs2: Fix potential block overflow that cause system hang
    - hfs: ensure sb->s_fs_info is always cleaned up
    - wifi: rtw88: Fix alignment fault in rtw_core_enable_beacon()
    - scsi: qla2xxx: Validate sp before freeing associated memory
    - scsi: qla2xxx: Allow recovery for tape devices
    - scsi: qla2xxx: Delay module unload while fabric scan in progress
    - scsi: qla2xxx: Free sp in error path to fix system crash
    - scsi: qla2xxx: Query FW again before proceeding with login
    - [arm64] bus: fsl-mc: fix use-after-free in driver_override_show()
    - erofs: fix UAF issue for file-backed mounts w/ directio option
    - xfs: fix UAF in xchk_btree_check_block_owner
    - wifi: rtl8xxxu: fix slab-out-of-bounds in rtl8xxxu_sta_add
    - [armhf] gpio: omap: do not register driver in probe()
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.12
    - Revert "driver core: enforce device_lock for driver_match_device()"

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Feb 2026 06:29:40 +0100

=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), dh-python <!pkg.linux.notools>, kernel-wedge (>= 2.105~), python3-dacite:native, python3-jinja2:native, python3:native, quilt
Build-Depends-Arch: asciidoctor [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.mintools !pkg.linux.notools>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, bc [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, bindgen:native (>= 0.65.1) [amd64 arm64 armhf loong64 riscv64] <!pkg.linux.nokernel !pkg.linux.norust>, binutils-dev [hppa] <!pkg.linux.mintools !pkg.linux.notools>, bison [alpha amd64 arm64 armhf hppa linux-any loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.notools> <!pkg.linux.nokernel>, flex [alpha amd64 arm64 armhf hppa linux-any loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.notools> <!pkg.linux.nokernel>, gcc-14-for-host [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, gcc-14-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 sparc64] <!cross !nopython !pkg.linux.mintools !pkg.linux.notools>, kernel-wedge (>= 2.105~) [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, kmod [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libconfig-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libdebuginfod-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libelf-dev [linux-any] <!pkg.linux.notools>, libelf-dev:native [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libncurses-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libnl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnl-genl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libssl-dev [linux-any] <!pkg.linux.notools>, libssl-dev:native [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libtraceevent-dev (>= 1:1.5) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64 x32] <!pkg.linux.mintools !pkg.linux.notools>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, lz4 [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, openssl [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, pahole [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, python3-docutils [amd64 arm64 armhf i386 linux-any x32] <!pkg.linux.mintools !pkg.linux.notools>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, rsync [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, rust-src (>= 1.78.0) [amd64 arm64 armhf loong64 riscv64] <!pkg.linux.nokernel !pkg.linux.norust>, rustc:native (>= 1.78.0) [amd64 arm64 armhf loong64 riscv64] <!pkg.linux.nokernel !pkg.linux.norust>, xz-utils [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, zstd [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>
Build-Depends-Indep: cpio <!nodoc !pkg.linux.quick> <!pkg.linux.nokernel>, dvipng <!nodoc !pkg.linux.quick>, graphviz <!nodoc !pkg.linux.quick>, patchutils <!pkg.linux.nosource !pkg.linux.quick>, python3-sphinx <!nodoc !pkg.linux.quick>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick>, python3-yaml <!nodoc !pkg.linux.quick>, rsync, sphinx-common <!nodoc !pkg.linux.quick>, texlive-latex-base <!nodoc !pkg.linux.quick>, texlive-latex-extra <!nodoc !pkg.linux.quick>, xz-utils <!pkg.linux.nosource !pkg.linux.quick>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: bpftool
Architecture: linux-any
Section: devel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Inspection and simple manipulation of BPF programs and maps
 The bpftool command allows for inspection and simple modification of
 Berkeley Packet Filter (BPF) objects on the system.

Package: hyperv-daemons
Architecture: amd64 arm64 i386 x32
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_kvp_daemon and hv_vss_daemon.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.

Package: intel-sdsi
Architecture: amd64
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intel On Demand (SDSi) provisioning tool
 intel_sdsi is a tool for key certificate and activation payload
 provisioning on Intel Xeon family processors with support for Intel On
 Demand (formerly known as Software Defined Silicon or SDSi).
 .
 intel_sdsi allows the configuration of additional CPU features through a
 license activation process.

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Provides: libcpufreq-dev
Depends: libcpupower1 (= ${binary:Version}), ${misc:Depends}
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package is needed to compile programs against libcpupower.

Package: libcpupower1
Architecture: linux-any
Section: libs
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package contains the shared library.

Package: linux-base-6.18.12+1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Linux for Alpha (dummy package)
 This package contains files common to all Linux kernel packages.

Package: linux-base-6.18.12+1-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Linux for Alpha SMP (dummy package)
 This package contains files common to all Linux kernel packages.

Package: linux-base-6.18.12+1-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Linux for 64-bit PCs (dummy package)
 This package contains files common to all Linux kernel packages.

Package: linux-base-6.18.12+1-arm64

=== debian/tests/control ===
Test-Command: pytest debian/lib/python
Restrictions: superficial
Depends: python3-jinja2, python3-pytest

Test-Command: debian/tests/headers-kbuild 6.18.12+1-alpha-generic
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-generic
Depends: linux-headers-6.18.12+1-alpha-generic, linux-image-6.18.12+1-alpha-generic

Test-Command: debian/tests/headers-kbuild 6.18.12+1-alpha-smp
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-smp
Depends: linux-headers-6.18.12+1-alpha-smp, linux-image-6.18.12+1-alpha-smp

Test-Command: debian/tests/headers-kbuild 6.18.12+1-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-amd64
Depends: linux-headers-6.18.12+1-amd64, linux-image-6.18.12+1-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-cloud-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-amd64
Depends: linux-headers-6.18.12+1-cloud-amd64, linux-image-6.18.12+1-cloud-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-rt-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-amd64
Depends: linux-headers-6.18.12+1-rt-amd64, linux-image-6.18.12+1-rt-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-test
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test
Depends: linux-headers-6.18.12+1-test, linux-image-6.18.12+1-test-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64
Depends: linux-headers-6.18.12+1-arm64, linux-image-6.18.12+1-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-cloud-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-arm64
Depends: linux-headers-6.18.12+1-cloud-arm64, linux-image-6.18.12+1-cloud-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-arm64-16k
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64-16k
Depends: linux-headers-6.18.12+1-arm64-16k, linux-image-6.18.12+1-arm64-16k-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-rt-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-arm64
Depends: linux-headers-6.18.12+1-rt-arm64, linux-image-6.18.12+1-rt-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-test
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test
Depends: linux-headers-6.18.12+1-test, linux-image-6.18.12+1-test-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.12+1-armmp
Architecture: armhf

## linux 6.18.13

=== debian/changelog ===
linux (6.18.13-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.13
    - scsi: qla2xxx: Fix bsg_done() causing double free
    - rust: device: fix broken intra-doc links
    - rust: dma: fix broken intra-doc links
    - rust: driver: fix broken intra-doc links to example driver types
    - [amd64] ASoC: amd: yc: Add ASUS ExpertBook PM1503CDA to quirks list
    - ALSA: hda/realtek: Add quirk for Inspur S14-G1
    - ALSA: hda/realtek - fixed speaker no sound
    - romfs: check sb_set_blocksize() return value
    - [arm64,armhf] drm/tegra: hdmi: sor: Fix error: variable ‘j’ set but not
      used
    - [amd64] platform/x86: classmate-laptop: Add missing NULL pointer checks
    - [amd64] ASoC: Intel: sof_es8336: Add DMI quirk for Huawei BOD-WXX9
    - [amd64] ASoC: amd: yc: Add quirk for HP 200 G2a 16
    - ALSA: hda/realtek: Enable headset mic for Acer Nitro 5
    - [amd64] platform/x86/amd/pmc: Add quirk for MECHREVO Wujie 15X Pro
    - [amd64] ASoC: sof_sdw: Add a quirk for Lenovo laptop using sidecar amps
      with cs42l43
    - [amd64] platform/x86: panasonic-laptop: Fix sysfs group leak in error path
    - [amd64] ASoC: cs42l43: Correct handling of 3-pole jack load detection
    - tracing/dma: Cap dma_map_sg tracepoint arrays to prevent buffer overflow
    - drm/amd/display: extend delta clamping logic to CM3 LUT helper
    - drm/amd/display: remove assert around dpp_base replacement
    - io_uring/fdinfo: be a bit nicer when looping a lot of SQEs/CQEs
    - gpiolib: acpi: Fix gpio count with string references
    - mm/hugetlb: fix excessive IPI broadcasts when unsharing PMD tables using
      mmu_gather
    - cpuset: Fix missing adaptation for cpuset_is_populated
    - fbdev: rivafb: fix divide error in nv3_arb()
    - fbdev: smscufx: properly copy ioctl memory to kernelspace
    - f2fs: fix to add gc count stat in f2fs_gc_range
    - f2fs: fix to check sysfs filename w/ gc_pin_file_thresh correctly
    - f2fs: fix IS_CHECKPOINTED flag inconsistency issue caused by concurrent
      atomic commit and checkpoint writes
    - f2fs: fix out-of-bounds access in sysfs attribute read/write
    - f2fs: fix to avoid UAF in f2fs_write_end_io()
    - f2fs: support non-4KB block size without packed_ssa feature
    - f2fs: fix to avoid mapping wrong physical block for swapfile
    - f2fs: optimize f2fs_overwrite_io() for f2fs_iomap_begin
    - [arm64] iommu/arm-smmu-qcom: do not register driver in probe()
    - USB: serial: option: add Telit FN920C04 RNDIS compositions
    - f2fs: fix to do sanity check on node footer in __write_node_folio()
    - f2fs: fix to do sanity check on node footer in {read,write}_end_io
    - f2fs: fix incomplete block usage in compact SSA summaries

  [ Ben Hutchings ]
  * CI: Delete support for ccache, which was removed from common pipeline
  * CI: Update build job to work after another common pipeline change

  [ Salvatore Bonaccorso ]
  * ovpn: tcp - don't deref NULL sk_socket member after tcp_close()
    (Closes: #1126499)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 26 Feb 2026 16:55:37 +0100

=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), dh-python <!pkg.linux.notools>, kernel-wedge (>= 2.105~), python3-dacite:native, python3-jinja2:native, python3:native, quilt
Build-Depends-Arch: asciidoctor [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.mintools !pkg.linux.notools>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, bc [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, bindgen:native (>= 0.65.1) [amd64 arm64 armhf loong64 riscv64] <!pkg.linux.nokernel !pkg.linux.norust>, binutils-dev [hppa] <!pkg.linux.mintools !pkg.linux.notools>, bison [alpha amd64 arm64 armhf hppa linux-any loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.notools> <!pkg.linux.nokernel>, flex [alpha amd64 arm64 armhf hppa linux-any loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.notools> <!pkg.linux.nokernel>, gcc-15-for-host [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, gcc-15-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 sparc64] <!cross !nopython !pkg.linux.mintools !pkg.linux.notools>, kernel-wedge (>= 2.105~) [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, kmod [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libconfig-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libdebuginfod-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libelf-dev [linux-any] <!pkg.linux.notools>, libelf-dev:native [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libncurses-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libnl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnl-genl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libssl-dev [linux-any] <!pkg.linux.notools>, libssl-dev:native [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libtraceevent-dev (>= 1:1.5) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64 x32] <!pkg.linux.mintools !pkg.linux.notools>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, lz4 [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, openssl [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, pahole [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, python3-docutils [amd64 arm64 armhf i386 linux-any x32] <!pkg.linux.mintools !pkg.linux.notools>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, rsync [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, rust-src (>= 1.78.0) [amd64 arm64 armhf loong64 riscv64] <!pkg.linux.nokernel !pkg.linux.norust>, rustc:native (>= 1.78.0) [amd64 arm64 armhf loong64 riscv64] <!pkg.linux.nokernel !pkg.linux.norust>, xz-utils [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, zstd [alpha amd64 arm64 armhf hppa loong64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>
Build-Depends-Indep: cpio <!nodoc !pkg.linux.quick> <!pkg.linux.nokernel>, dvipng <!nodoc !pkg.linux.quick>, graphviz <!nodoc !pkg.linux.quick>, patchutils <!pkg.linux.nosource !pkg.linux.quick>, python3-sphinx <!nodoc !pkg.linux.quick>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick>, python3-yaml <!nodoc !pkg.linux.quick>, rsync, sphinx-common <!nodoc !pkg.linux.quick>, texlive-latex-base <!nodoc !pkg.linux.quick>, texlive-latex-extra <!nodoc !pkg.linux.quick>, xz-utils <!pkg.linux.nosource !pkg.linux.quick>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: bpftool
Architecture: linux-any
Section: devel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Inspection and simple manipulation of BPF programs and maps
 The bpftool command allows for inspection and simple modification of
 Berkeley Packet Filter (BPF) objects on the system.

Package: hyperv-daemons
Architecture: amd64 arm64 i386 x32
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_kvp_daemon and hv_vss_daemon.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.

Package: intel-sdsi
Architecture: amd64
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intel On Demand (SDSi) provisioning tool
 intel_sdsi is a tool for key certificate and activation payload
 provisioning on Intel Xeon family processors with support for Intel On
 Demand (formerly known as Software Defined Silicon or SDSi).
 .
 intel_sdsi allows the configuration of additional CPU features through a
 license activation process.

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Provides: libcpufreq-dev
Depends: libcpupower1 (= ${binary:Version}), ${misc:Depends}
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package is needed to compile programs against libcpupower.

Package: libcpupower1
Architecture: linux-any
Section: libs
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package contains the shared library.

Package: linux-base-6.18.13+deb14-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Linux for Alpha (dummy package)
 This package contains files common to all Linux kernel packages.

Package: linux-base-6.18.13+deb14-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Linux for Alpha SMP (dummy package)
 This package contains files common to all Linux kernel packages.

Package: linux-base-6.18.13+deb14-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Linux for 64-bit PCs (dummy package)
 This package contains files common to all Linux kernel packages.

=== debian/tests/control ===
Test-Command: pytest debian/lib/python
Restrictions: superficial
Depends: python3-jinja2, python3-pytest

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-alpha-generic
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-generic
Depends: linux-headers-6.18.13+deb14-alpha-generic, linux-image-6.18.13+deb14-alpha-generic

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-alpha-smp
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-smp
Depends: linux-headers-6.18.13+deb14-alpha-smp, linux-image-6.18.13+deb14-alpha-smp

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-amd64
Depends: linux-headers-6.18.13+deb14-amd64, linux-image-6.18.13+deb14-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-cloud-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-amd64
Depends: linux-headers-6.18.13+deb14-cloud-amd64, linux-image-6.18.13+deb14-cloud-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-rt-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-amd64
Depends: linux-headers-6.18.13+deb14-rt-amd64, linux-image-6.18.13+deb14-rt-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-test
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test
Depends: linux-headers-6.18.13+deb14-test, linux-image-6.18.13+deb14-test-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64
Depends: linux-headers-6.18.13+deb14-arm64, linux-image-6.18.13+deb14-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-cloud-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-arm64
Depends: linux-headers-6.18.13+deb14-cloud-arm64, linux-image-6.18.13+deb14-cloud-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-arm64-16k
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64-16k
Depends: linux-headers-6.18.13+deb14-arm64-16k, linux-image-6.18.13+deb14-arm64-16k-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-rt-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-arm64
Depends: linux-headers-6.18.13+deb14-rt-arm64, linux-image-6.18.13+deb14-rt-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.18.13+deb14-test
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-test
